/* screen - environment-specific terminal functions
 * PC Version - uses  bdos  function
 */
#include "local.h"
#include "screen.h"
short scr_mode = SCR_TTY;	/* screen mode - TTY or RAW */
short scr_lins = 24;	/* screen lines (default) */
short scr_cols = 80;	/* screen columns (default) */
/* scr_getkey - get a (coded) keyboard char */
SCR_CMDCHAR scr_getkey()
	{
	char c1;
	
	scr_refresh();
	if ((c1 = bdos(8)) != '\0')
		return (c1 & 0x7F);
	switch (c1 = bdos(8))
		{
	/* no "break" needed - all returns */
	case 'H':	return (SCR_UP);
	case 'P':	return (SCR_DOWN);
	case 'M':	return (SCR_RIGHT);
	case 'K':	return (SCR_LEFT);
	case 'G':	return (SCR_HOME);
	case ';':	return (SCR_EXIT);	/* F1 function key */
	default:	scr_beep();
				return (scr_getkey());
		}
	}
/* remark - print error message, appropriate for scr_mode */
void remark(s1, s2)
	char s1[], s2[];	/* strings to be printed */
	{
	if (scr_mode == SCR_TTY)
		fprintf(stderr, "%s %s\n", s1, s2);
	else
		{
		scr_curs(scr_lins-1, 0);
		scr_print("%s %s; hit any key to continue", s1, s2);
		scr_getkey();
		scr_curs(scr_lins-1, 0);
		scr_cel();
		}
	}
/* scr_open - enter "raw" screen mode */
void scr_open()
	{
	scr_mode = SCR_RAW;	/* otherwise no work; bdos(8) is unbuffered */
	}																				/*
.PE
.PS
/* scr_close - restore normal tty state */
void scr_close()
	{
	scr_mode = SCR_TTY;
	}
